using Sandbox.ModAPI.Ingame;
using VRage.Game.ModAPI.Ingame.Utilities;

namespace IngameScript
{
    public partial class Program : MyGridProgram, IConsoleProgram
    {
        public MyIni Ini { get; private set; }
        public IConsole Console { get; private set; }

        private MyCommandLine _cli = new MyCommandLine();

        public Program()
        {
            Ini = new MyIni();
            Console = new MainConsole(this, "Program Name");

            Console.UpdateTickCount();
        }

        public void Main(string argument, UpdateType updateSource)
        {
            Console.UpdateTickCount();
            handleInput(argument);
        }

        private bool blockFilter(IMyTerminalBlock block)
        {
            return block.IsSameConstructAs(this.Me);
        }

        private void handleInput(string argument)
        {
            if (argument == "") return;
            _cli.TryParse(argument);
        }
    }
}